let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/xwgh4fd9g7agqdjiw8s6x9xk19qhw7jw-bash-4.4-p12/bin/bash";
  coreutils = "/nix/store/frbvrkylm9sl58sjf1gylkrmjh3j9ch6-coreutils-8.29/bin";
  bzip2 = "/nix/store/hyyqgxxdgqb328zvzfbhfrccdhzmmy2j-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/klvd2xna8gf25mphilqkfhp9yfsjq6hr-gzip-1.9/bin/gzip";
  xz = "/nix/store/kz36kf1iylp2nvgn7wfcw98r0cpg8wgj-xz-5.2.3-bin/bin/xz";
  tar = "/nix/store/ijfx0kgjnkq8579fky8rnx46ksfk5r21-gnutar-1.30/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/frbvrkylm9sl58sjf1gylkrmjh3j9ch6-coreutils-8.29/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/6q3xi6y5qnsv7d62b8n00hqfxi8rs2xs-nix-2.1.3/bin";
  nixPrefix = "/nix/store/6q3xi6y5qnsv7d62b8n00hqfxi8rs2xs-nix-2.1.3";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/6q3xi6y5qnsv7d62b8n00hqfxi8rs2xs-nix-2.1.3/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
